org.apache.http.params

## Class HttpProtocolParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.params.HttpProtocolParamBean

Deprecated.
(4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

    @Deprecated
    public class HttpProtocolParamBean
    extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP protocol parameters using Java Beans conventions.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

`params`

### Constructor Summary

Constructors
Constructor and Description
`HttpProtocolParamBean(HttpParams params)` Deprecated.

### Method Summary

Methods
`void` `setContentCharset(String contentCharset)` Deprecated.
`void` `setHttpElementCharset(String httpElementCharset)` Deprecated.
`void` `setUseExpectContinue(boolean useExpectContinue)` Deprecated.
`void` `setUserAgent(String userAgent)` Deprecated.
`void` `setVersion(HttpVersion version)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpProtocolParamBean

    public HttpProtocolParamBean(HttpParams params)

Deprecated.

### Method Detail

#### setHttpElementCharset

    public void setHttpElementCharset(String httpElementCharset)

Deprecated.

#### setContentCharset

    public void setContentCharset(String contentCharset)

Deprecated.

#### setVersion

    public void setVersion(HttpVersion version)

Deprecated.

#### setUserAgent

    public void setUserAgent(String userAgent)

Deprecated.

#### setUseExpectContinue

    public void setUseExpectContinue(boolean useExpectContinue)

Deprecated.